Subject: Re: FVWM: Can I force AutoRaise to pause on a mouse press?

From: Elmar Kurgpold <[email-masked]>
Date: Tue, 24 Jun 1997 09:38:20 -0700 (PDT)

On 24 Jun, Stig wrote:
> Elmar Kurgpold wrote:
>> 
>> Can anyone think of a way to cause AutoRaise to not do anything while a
>> mouse button is pressed?
>> 
>> The situation: I go to select a menu on an application (say Netscape)
>> that is lowered.  Typically, I won't wait for the window to AutoRaise,
>> I'll just go for the menu.  The menu pops up, then the rest of the
>> window pops up over the menu a moment later.  I waste precious seconds
>> fiddling around with it to get the menu again.
>> 
> 
> Possibly it would be even better to raise the window AND it's menus all at
> once.  Does a module even find out about the transient windows used for
> menus?
> 
> Perhaps the fix here is to raise all children when the managed window is
> raised?  

Yes, this would in theory be better, more complete.  Especially for
app menus that you can click once and it stays up.

Is a menu, such as the drop down menus in Netscape, considered a
transient?  Is it possible for AutoRaise to act on all the transients
of a window?

	++Elmar
	
--
  ___  ____ __
 | _ \/ __/|  \  Pencom            |  Elmar Kurgpold
 |  _/\__ \| \ \  Systems          |  Email: [email-masked]
 |_|  /___/|_|__\  Administration  |  Pager: 800/SKYPAGE Pin: 352-4668
 http://www.pencom.com             |  Phone: 415/507-8857 (Autodesk)

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].